aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/ebuild')
-rw-r--r--paludis/repositories/e/ebuild/die_functions.bash2
-rwxr-xr-xpaludis/repositories/e/ebuild/ebuild.bash22
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_init.bash14
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash8
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash8
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash8
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash8
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash9
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash10
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash10
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash10
-rw-r--r--paludis/repositories/e/ebuild/install_functions.bash4
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/dodoc2
-rwxr-xr-xpaludis/repositories/e/ebuild/utils/dohtml2
14 files changed, 59 insertions, 58 deletions
diff --git a/paludis/repositories/e/ebuild/die_functions.bash b/paludis/repositories/e/ebuild/die_functions.bash
index 4888a28..0491bcb 100644
--- a/paludis/repositories/e/ebuild/die_functions.bash
+++ b/paludis/repositories/e/ebuild/die_functions.bash
@@ -37,7 +37,7 @@ diefunc()
local func="$1" line="$2"
shift 2
echo 1>&2
- echo "!!! ERROR in ${CATEGORY:-?}/${PF:-?}:" 1>&2
+ echo "!!! ERROR in ${CATEGORY:-?}/${!PALUDIS_NAME_VERSION_REVISION_VAR:-?}:" 1>&2
echo "!!! In ${func:-?} at line ${line:-?}" 1>&2
echo "!!! ${*:-(no message provided)}" 1>&2
echo 1>&2
diff --git a/paludis/repositories/e/ebuild/ebuild.bash b/paludis/repositories/e/ebuild/ebuild.bash
index af97ee3..d3651be 100755
--- a/paludis/repositories/e/ebuild/ebuild.bash
+++ b/paludis/repositories/e/ebuild/ebuild.bash
@@ -277,7 +277,7 @@ ebuild_scrub_environment()
unset -v PALUDIS_CLIENT
unset -v PALUDIS_HOME PALUDIS_PID PALUDIS_PIPE_COMMAND_WRITE_FD PALUDIS_PIPE_COMMAND_READ_FD ROOT
- unset -v CATEGORY PN PV P PVR PF ${!LD_*}
+ unset -v CATEGORY PN PV P PNV PVR PF PNVR ${!LD_*}
unset -v ebuild EBUILD
unset -v $(
@@ -320,27 +320,27 @@ ebuild_load_environment()
"
if [[ "${PALUDIS_LOAD_ENVIRONMENT%.bz2}" != "${PALUDIS_LOAD_ENVIRONMENT}" ]] ; then
- echo bunzip2 \< "${PALUDIS_LOAD_ENVIRONMENT}" \> ${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$ 1>&2
- bunzip2 < "${PALUDIS_LOAD_ENVIRONMENT}" > ${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$ \
+ echo bunzip2 \< "${PALUDIS_LOAD_ENVIRONMENT}" \> ${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$ 1>&2
+ bunzip2 < "${PALUDIS_LOAD_ENVIRONMENT}" > ${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$ \
|| die "Can't extract ${PALUDIS_LOAD_ENVIRONMENT}"
else
- echo cp "${PALUDIS_LOAD_ENVIRONMENT}" "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$" 1>&2
- cp "${PALUDIS_LOAD_ENVIRONMENT}" "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$" \
+ echo cp "${PALUDIS_LOAD_ENVIRONMENT}" "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$" 1>&2
+ cp "${PALUDIS_LOAD_ENVIRONMENT}" "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$" \
|| die "Can't copy ${PALUDIS_LOAD_ENVIRONMENT}"
fi
- echo ebuild_scrub_environment "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$" "$@" 1>&2
- ebuild_scrub_environment "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$" "$@" \
+ echo ebuild_scrub_environment "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$" "$@" 1>&2
+ ebuild_scrub_environment "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$" "$@" \
|| die "Can't load saved environment for cleaning"
- echo ebuild_safe_source "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$" 1>&2
- ebuild_safe_source "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$" \
+ echo ebuild_safe_source "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$" 1>&2
+ ebuild_safe_source "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$" \
|| die "Can't load saved environment"
export PALUDIS_EXTRA_DIE_MESSAGE="${save_PALUDIS_EXTRA_DIE_MESSAGE}"
- echo rm "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$" 1>&2
- rm "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${PF}-$$"
+ echo rm "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$" 1>&2
+ rm "${PALUDIS_TMPDIR}/environment-${CATEGORY}-${!PALUDIS_NAME_VERSION_REVISION_VAR}-$$"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
index 91b5adf..6f50c5e 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
@@ -52,29 +52,29 @@ builtin_init()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove previous work"
fi
- export WORKBASE="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/work"
+ export WORKBASE="${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}/work"
mkdir -p "${WORKBASE}" || die "Couldn't create \$WORKBASE (\"${WORKBASE}\")"
declare -r WORKBASE="${WORKBASE}"
- export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/temp/"
+ export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}/temp/"
mkdir -p "${TEMP}" || die "Couldn't create \$TEMP (\"${TEMP}\")"
declare -r TEMP="${TEMP}"
export HOME="${TEMP}"
export TMPDIR="${TEMP}"
- export IMAGE="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}/image/"
+ export IMAGE="${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}/image/"
export IMAGE="${IMAGE//+(\/)//}"
mkdir -p "${IMAGE}" || die "Couldn't create \$IMAGE (\"${IMAGE}\")"
declare -r IMAGE="${IMAGE}"
- export WORK="${WORKBASE}/${P}"
+ export WORK="${WORKBASE}/${PNV}"
if [[ "${EBUILD}" != "-" ]] ; then
ebuild_load_ebuild "${EBUILD}"
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
index e3d4886..2555f6b 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_initmisc.bash
@@ -52,14 +52,14 @@ builtin_initmisc()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove previous work"
fi
- export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc/temp/"
+ export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc/temp/"
mkdir -p "${TEMP}" || die "Couldn't create \$TEMP (\"${TEMP}\")"
declare -r TEMP="${TEMP}"
export HOME="${TEMP}"
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash
index 29fe037..b4c591a 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_initrm.bash
@@ -52,14 +52,14 @@ builtin_initrm()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" || die "Couldn't remove previous work"
fi
- export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall/temp/"
+ export TEMP="${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall/temp/"
mkdir -p "${TEMP}" || die "Couldn't create \$TEMP (\"${TEMP}\")"
declare -r TEMP="${TEMP}"
export HOME="${TEMP}"
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
index 744531d..b1f5fb0 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
@@ -19,15 +19,15 @@
builtin_killold()
{
local a
- for a in PF CATEGORY PALUDIS_TMPDIR ; do
+ for a in PNVR CATEGORY PALUDIS_TMPDIR ; do
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash
index 90219f2..ccfe627 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldmisc.bash
@@ -19,15 +19,15 @@
builtin_killoldmisc()
{
local a
- for a in PF CATEGORY PALUDIS_TMPDIR ; do
+ for a in PNVR CATEGORY PALUDIS_TMPDIR ; do
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash
index 26ea51d..19e8269 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_killoldrm.bash
@@ -19,15 +19,16 @@
builtin_killoldrm()
{
local a
- for a in PF CATEGORY PALUDIS_TMPDIR ; do
+ for a in CATEGORY PALUDIS_TMPDIR ; do
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
+ [[ -z "${PF}" && -z "${PNVR}" ]] && die "PF and PNVR both unset or empty"
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" || die "Couldn't remove previous work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash
index 6c2ea39..f6409c9 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyup.bash
@@ -18,13 +18,13 @@
builtin_tidyup()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
index 8466353..c69e473 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
@@ -18,13 +18,13 @@
builtin_tidyupmisc()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}-misc" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash
index e375788..243684d 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyuprm.bash
@@ -18,13 +18,13 @@
builtin_tidyuprm()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR:-${PF}}-uninstall" || die "Couldn't remove work"
fi
}
diff --git a/paludis/repositories/e/ebuild/install_functions.bash b/paludis/repositories/e/ebuild/install_functions.bash
index 0f64974..20da58a 100644
--- a/paludis/repositories/e/ebuild/install_functions.bash
+++ b/paludis/repositories/e/ebuild/install_functions.bash
@@ -88,8 +88,8 @@ docinto()
export DOCDESTTREE=
else
export DOCDESTTREE="${1}"
- [[ -d "${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${PF}/${DOCDESTTREE}" ]] || \
- install -d "${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${PF}/${DOCDESTTREE}"
+ [[ -d "${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${!PALUDIS_NAME_VERSION_REVISION_VAR}/${DOCDESTTREE}" ]] || \
+ install -d "${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${!PALUDIS_NAME_VERSION_REVISION_VAR}/${DOCDESTTREE}"
fi
}
diff --git a/paludis/repositories/e/ebuild/utils/dodoc b/paludis/repositories/e/ebuild/utils/dodoc
index e6a0466..00b64de 100755
--- a/paludis/repositories/e/ebuild/utils/dodoc
+++ b/paludis/repositories/e/ebuild/utils/dodoc
@@ -32,7 +32,7 @@ if [[ $# -lt 1 ]]; then
paludis_die_or_error "at least one argument needed"
fi
-dir="${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${PF}/${DOCDESTTREE}"
+dir="${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${!PALUDIS_NAME_VERSION_REVISION_VAR}/${DOCDESTTREE}"
if [[ ! -d "${dir}" ]]; then
install -d "${dir}" || paludis_die_or_error "could not create ${dir}"
fi
diff --git a/paludis/repositories/e/ebuild/utils/dohtml b/paludis/repositories/e/ebuild/utils/dohtml
index 6733e6e..a2f2dad 100755
--- a/paludis/repositories/e/ebuild/utils/dohtml
+++ b/paludis/repositories/e/ebuild/utils/dohtml
@@ -93,7 +93,7 @@ install_file() {
[[ -z ${DOCDESTTREE} ]] && DOCDESTTREE="html"
- dir="${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${PF}/${DOCDESTTREE}/${doc_prefix}/${prefix}"
+ dir="${!PALUDIS_IMAGE_DIR_VAR}usr/share/doc/${!PALUDIS_NAME_VERSION_REVISION_VAR}/${DOCDESTTREE}/${doc_prefix}/${prefix}"
if [[ -f ${path} ]]; then
ext="$(basename ${path})"